import NemAll_Python_BasisElements as AllplanBasisElements
import NemAll_Python_BaseElements as AllplanBaseElements
import NemAll_Python_Geometry as AllplanGeo

def check_allplan_version(build_ele, version):
    """
    Check the current Allplan version

    Args:
        build_ele: the building element.
        version:   the current Allplan version

    Returns:
        True/False if version is supported by this script
    """

    # Delete unused arguments
    del build_ele
    del version

    # Support all versions
    return True

def create_element(build_ele, doc):
    """
    Creation of element

    Args:
        build_ele: the building element.
        doc:       input document
    """
    common_prop = AllplanBaseElements.CommonProperties()
    geometry = AllplanGeo.Polyhedron3D.CreateCuboid(1000, 1000, 1000)
    allplan_cuboid = AllplanBasisElements.ModelElement3D(common_prop, geometry)
    return ([allplan_cuboid], [])

